DeepFellow DOCS

List curated starting ontologies

GET
/v1/graph/ontology/presets

List the starting ontologies a project without an approved ontology can propose from.

Authorization

headerAuthorizationBearer <token>

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?|

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

Successful Response

application/json
  1. response
[index: integer]?

API-facing view of a curated starting ontology.

Example Request
curl -X GET 'https://deepfellow-server-host/v1/graph/ontology/presets'
Example Response
[  {    "id": "general",    "name": "string",    "description": "string",    "ontology": {}  }]

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.